Package fr.gouv.vitam.common.model.unit

# Class GpsType

java.lang.Object
fr.gouv.vitam.common.model.unit.GpsType

public class GpsType extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected BigInteger`
  `gpsAltitude`
  `protected String`
  `gpsAltitudeRef`
  `protected String`
  `gpsDateStamp`
  `protected String`
  `gpsLatitude`
  `protected String`
  `gpsLatitudeRef`
  `protected String`
  `gpsLongitude`
  `protected String`
  `gpsLongitudeRef`
  `protected String`
  `gpsVersionID`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GpsType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BigInteger`
  `getGpsAltitude()`
  `String`
  `getGpsAltitudeRef()`
  `String`
  `getGpsDateStamp()`
  `String`
  `getGpsLatitude()`
  `String`
  `getGpsLatitudeRef()`
  `String`
  `getGpsLongitude()`
  `String`
  `getGpsLongitudeRef()`
  `String`
  `getGpsVersionID()`
  `GpsType`
  `setGpsAltitude(BigInteger gpsAltitude)`
  `GpsType`
  `setGpsAltitudeRef(String gpsAltitudeRef)`
  `GpsType`
  `setGpsDateStamp(String gpsDateStamp)`
  `GpsType`
  `setGpsLatitude(String gpsLatitude)`
  `GpsType`
  `setGpsLatitudeRef(String gpsLatitudeRef)`
  `GpsType`
  `setGpsLongitude(String gpsLongitude)`
  `GpsType`
  `setGpsLongitudeRef(String gpsLongitudeRef)`
  `GpsType`
  `setGpsVersionID(String gpsVersionID)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### gpsVersionID

    protected String gpsVersionID

  - ### gpsAltitude

    protected BigInteger gpsAltitude

  - ### gpsAltitudeRef

    protected String gpsAltitudeRef

  - ### gpsLatitude

    protected String gpsLatitude

  - ### gpsLatitudeRef

    protected String gpsLatitudeRef

  - ### gpsLongitude

    protected String gpsLongitude

  - ### gpsLongitudeRef

    protected String gpsLongitudeRef

  - ### gpsDateStamp

    protected String gpsDateStamp

- ## Constructor Details

  - ### GpsType

    public GpsType()

- ## Method Details

  - ### getGpsVersionID

    public String getGpsVersionID()

  - ### setGpsVersionID

    public GpsType setGpsVersionID(String gpsVersionID)

  - ### getGpsAltitude

    public BigInteger getGpsAltitude()

  - ### setGpsAltitude

    public GpsType setGpsAltitude(BigInteger gpsAltitude)

  - ### getGpsAltitudeRef

    public String getGpsAltitudeRef()

  - ### setGpsAltitudeRef

    public GpsType setGpsAltitudeRef(String gpsAltitudeRef)

  - ### getGpsLatitude

    public String getGpsLatitude()

  - ### setGpsLatitude

    public GpsType setGpsLatitude(String gpsLatitude)

  - ### getGpsLatitudeRef

    public String getGpsLatitudeRef()

  - ### setGpsLatitudeRef

    public GpsType setGpsLatitudeRef(String gpsLatitudeRef)

  - ### getGpsLongitude

    public String getGpsLongitude()

  - ### setGpsLongitude

    public GpsType setGpsLongitude(String gpsLongitude)

  - ### getGpsLongitudeRef

    public String getGpsLongitudeRef()

  - ### setGpsLongitudeRef

    public GpsType setGpsLongitudeRef(String gpsLongitudeRef)

  - ### getGpsDateStamp

    public String getGpsDateStamp()

  - ### setGpsDateStamp

    public GpsType setGpsDateStamp(String gpsDateStamp)